%define name ipvsadm
%define version 0.9.9
%define release 2.2.14.2mdk
Summary: Administration tool for Linux Virtual Server
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL 
Group: System/Kernel and hardware
URL: http://www.linuxvirtualserver.org
Source: http://www.linuxvirtualserver.org/software/ipvs-%{version}-2.2.14.tar.bz2
Source1: lvs.init
Patch0: ldirectord.patch
Buildroot: %{_tmppath}/%{name}-root

%description 
ipvsadm is a utility to administer the IP virtual server services
offered by the Linux kernel with virtual server patch.
Virtual Server in Linux kernel can be used to build a high-performance
and highly available server.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n ipvs-%{version}-2.2.14
%patch0 -p1

%build
cd ipvsadm
make CFLAGS="$RPM_OPT_FLAGS" 

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{sbin,usr/man/man8,etc/rc.d/init.d,etc/sysconfig}

install -s -m 755 ipvsadm/ipvsadm $RPM_BUILD_ROOT/sbin/ipvsadm
install -m 0644 ipvsadm/ipvsadm.8 $RPM_BUILD_ROOT/usr/man/man8/ipvsadm.8
bzip2 -9f $RPM_BUILD_ROOT/usr/man/*/*

install -m 755 %SOURCE1 $RPM_BUILD_ROOT/etc/rc.d/init.d/lvs
touch $RPM_BUILD_ROOT/etc/sysconfig/lvs

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add lvs

%postun

%preun
if [ $1 = 0 ]; then
   if [ -f /var/lock/subsys/lvs ]; then
         /etc/rc.d/init.d/lvs stop
		fi

   /sbin/chkconfig --del lvs
fi


%files
%defattr(-,root,root)
%doc README CREDITS  ChangeLog  ipvsadm/README  contrib
%doc ipvs-0.9.9-2.2.14.patch
%config /etc/rc.d/init.d/lvs
%config /etc/sysconfig/lvs
/sbin/ipvsadm
/usr/man/man8/ipvsadm.8.bz2

%changelog
* Thu Apr 13 2000 Philippe Libat  <philippe@mandrakesoft.com> 0.9.9-2.2.14.2mdk
- Add lvs.init
- Add ldirectord.patch

* Tue Apr 11 2000 Philippe Libat  <philippe@mandrakesoft.com> 0.9.9-2.2.14mdk
- Mandrake first spec

